Skip to navigation

Stream Speech

Synthesize speech with ultra-low latency over a streaming connection. Choose the Base URL from the URL dropdown (Global URL or a pinned Region)

Note: Global URL auto-routes to the nearest region.

RegionURLDefault Concurrency
Global (Routes to the nearest server)https://global.api.murf.ai/v1/speech/streamRegion specific concurrency
US-Easthttps://us-east.api.murf.ai/v1/speech/stream5
US-Westhttps://us-west.api.murf.ai/v1/speech/stream2
Indiahttps://in.api.murf.ai/v1/speech/stream2
Canadahttps://ca.api.murf.ai/v1/speech/stream2
South Koreahttps://kr.api.murf.ai/v1/speech/stream2
UAEhttps://me.api.murf.ai/v1/speech/stream2
Japanhttps://jp.api.murf.ai/v1/speech/stream2
Australiahttps://au.api.murf.ai/v1/speech/stream2
EU (Central)https://eu-central.api.murf.ai/v1/speech/stream2
UKhttps://uk.api.murf.ai/v1/speech/stream2
South America (São Paulo)https://sa-east.api.murf.ai/v1/speech/stream2

Headers

tokenstringOptional
api-keystringOptional

Request

This endpoint expects an object.
textstringRequired

The text that is to be synthesised. e.g. ‘Hello there [pause 1s] friend’

voiceIdstringRequired

Use the GET /v1/speech/voices API to find supported voiceIds. You can use either the voiceId (e.g. en-US-natalie) or just the voice actor’s name (e.g. natalie).

modelenumOptionalDefaults to falcon-2

The model to use for audio output. Valid values: falcon-2.

Allowed values:
channelTypestringOptionalDefaults to MONO

Valid values: STEREO, MONO

formatstringOptionalDefaults to WAV

Format of the generated audio file.Valid values: MP3, FLAC, WAV, ALAW, ULAW, OGG, PCM

localestringOptional

Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Valid values: “en-US”, “en-UK”, “es-ES”, etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages.

pitchintegerOptional-50-50
Pitch of the voiceover
rateintegerOptional-50-50
Speed of the voiceover
sampleRatedoubleOptionalDefaults to 24000
Valid values are 8000, 16000, 24000, 44100, 48000. Defaults to 24000.
stylestringOptional
The voice style to be used for voiceover generation.
multiNativeLocalestringOptionalDeprecated

This field is superseded by locale field. Please migrate to locale field to ensure compatibility with future API versions.

Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Valid values: “en-US”, “en-UK”, “es-ES”, etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages.

Response

Ok

Errors

400
Bad Request Error
402
Payment Required Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error